Support » Plugin: Progressive WordPress (PWA) » JS Error: Failed to register/update a ServiceWorker for scope

  • Hi,

    I have three sites with the same code on the same server. All three have the Progressive WordPress and OneSignal – Web Push Notifications plugin. All three sites are not in a WP multisite, they are standalone sites. All sites have Varnish.

    It (popup to install on homepage) doesn’t work on:
    https://www.focuswesterkwartier.nl
    https://www.focus-sudwest-fryslan.nl

    Here i get the following errors in my console:

    Failed to register/update a ServiceWorker for scope ‘https://www.focuswesterkwartier.nl/’: Load failed with status 500 for script ‘https://www.focuswesterkwartier.nl/?wp_service_worker=1’.

    TypeError: ServiceWorker script at https://www.focuswesterkwartier.nl/?wp_service_worker=1 for scope https://www.focuswesterkwartier.nl/ encountered an error during installation.

    and:

    Failed to register/update a ServiceWorker for scope ‘https://www.focus-sudwest-fryslan.nl/’: Bad Content-Type of ‘text/html’ received for script ‘https://www.focus-sudwest-fryslan.nl/?wp_service_worker=1’. Must be a JavaScript MIME type.
    SecurityError: The operation is insecure.

    It works on: https://www.focuscoevorden.nl/

    Do you have an idea what might be the problem?

    The page I need help with: [log in to see the link]

Viewing 1 replies (of 1 total)
  • Plugin Author Nico Martin

    (@nico_martin)

    Hi @frenkieb

    I’m sorry it took me so long to answer. Are you still having that problem?

    Kind regards,
    Nico

Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.